task mendelian {
	File LCL5_vcf
	File LCL6_vcf
	File LCL7_vcf
	File LCL8_vcf
	String LCL5_name
	String LCL6_name
	String LCL7_name
	String LCL8_name
	String family_name
	File ref_dir
	String fasta
	String docker
	String cluster_config
	String disk_size
	
	command <<<
		export LD_LIBRARY_PATH=/opt/htslib-1.9

		mkdir sister

		/opt/VBT-TrioAnalysis/vbt varcomp -called ${LCL5_vcf} -base ${LCL6_vcf} -ref ${ref_dir}/${fasta} -outDir sister -filter none

		mv sister/TPBase.vcf ${family_name}.sister.consistent.vcf
		mv sister/FP.vcf ${family_name}.LCL5.uniq.vcf
		mv sister/FN.vcf ${family_name}.LCL6.uniq.vcf
		mv sister/log.txt ${family_name}.sister.vbt.log.txt

		mkdir VBT

		/opt/VBT-TrioAnalysis/vbt mendelian -ref ${ref_dir}/${fasta} -mother ${LCL8_vcf} -father ${LCL7_vcf} -child ${family_name}.sister.consistent.vcf -outDir VBT -out-prefix ${family_name} --output-violation-regions

		cat VBT/${family_name}_trio.vcf | grep '#' | cut -f1-9,10 > mother_header
		cat VBT/${family_name}_trio.vcf | grep -v '#' | cut -f1-9,10 | grep 'MD=1' | grep -v '0/0' | cat mother_header - > ${LCL8_name}.sister.mendelian.gt.vcf

		cat VBT/${family_name}_trio.vcf | grep '#' | cut -f1-9,11 > father_header
		cat VBT/${family_name}_trio.vcf | grep -v '#' | cut -f1-9,11 | grep 'MD=1' | grep -v '0/0' | cat father_header - > ${LCL7_name}.sister.mendelian.gt.vcf

		cat VBT/${family_name}_trio.vcf | grep '#' | cut -f1-9,12 > twin_header
		cat VBT/${family_name}_trio.vcf | grep -v '#' | cut -f1-9,12 | grep 'MD=1' | grep -v '0/0' | cat header - > ${family_name}.twins.sister.mendelian.gt.vcf

	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sister_consistent_vcf = "${family_name}.sister.consistent.vcf"
		File LCL5_uniq_vcf = "${family_name}.LCL5.uniq.vcf"
		File LCL6_uniq_vcf = "${family_name}.LCL6.uniq.vcf"
		File sister_log = "${family_name}.sister.vbt.log.txt"
		Array[File] vbt_mendelian = glob("VBT/*")
		File mother_vcf = "${LCL8_name}.sister.mendelian.gt.vcf"
		File father_vcf = "${LCL7_name}.sister.mendelian.gt.vcf"
		File twins_vcf = "${family_name}.twins.sister.mendelian.gt.vcf"
	}
}